Page MenuHomePhabricator

Translator sandbox should log message key instead of hard coded text
Closed, ResolvedPublic

Description

Observed after approving a translator application in Special:ManageTranslatorSandbox:

20:47, 19 December 2013 User account Jaredzimmerman (Talk | contribs | block) was created (Gebruiker is gepromoveerd tot vertaler)

Content language is "en", and the text "Gebruiker is gepromoveerd tot vertaler" is in Dutch. That should be i18n-ed and be displayed in user language, or always in content language if i18n would not be possible.


Version: master
Severity: normal
URL: https://translatewiki.net/wiki/Special:Log/newusers?uselang=en
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=49815

Details

Reference
bz58707

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:37 AM
bzimport set Reference to bz58707.
bzimport added a subscriber: Unknown Object (MLST).
siebrand created this task.Dec 19 2013, 7:54 PM

Change 104523 had a related patch set uploaded by KartikMistry:
Save user creation comment in wiki content language

https://gerrit.wikimedia.org/r/104523

Patch is submitted to set log entry to set as content language. I couldn't find easy way to set user's language. addNewUserLogEntry function requires literal string for comment field.

Change 104523 merged by jenkins-bot:
Save user creation comment in wiki content language

https://gerrit.wikimedia.org/r/104523

Change 104796 had a related patch set uploaded by KartikMistry:
Added new log subtype for message key instead of hard coded text

https://gerrit.wikimedia.org/r/104796

Change 104958 had a related patch set uploaded by Nikerabbit:
Better i18n for user creation log when promoted from sandbox

https://gerrit.wikimedia.org/r/104958

Change 104796 abandoned by Amire80:
Added new log subtype for message key instead of hard coded text

Reason:
Done in a simpler way in I9ad4855950cae83569c025f08eda4f1f54d86750 .

https://gerrit.wikimedia.org/r/104796

Change 104958 merged by jenkins-bot:
Better i18n for user creation log when promoted from sandbox

https://gerrit.wikimedia.org/r/104958